/*
Theme Name: Kalapattana
Description: This is a child theme for Kalapattana Theme
Author: Noppadol Klaewkla
Template: flatsome
Version: 3.0.4.6
*/

.box-text {
    font-size: inherit;
}

.dark .orange,
.orange {
    color: var(--fs-color-primary);
}

.green {
    color: var(--fs-color-secondary);
}

.box-text h1,
.box-text h2,
.box-text h3,
.box-text h4,
.box-text h5,
.box-text h6 {
    line-height: inherit;
    margin-bottom: .5em;
    margin-top: inherit;
}

iframe[src*="facebook.com"] {
    aspect-ratio: 4/3;
    background-color: #000;
}

/**
 * Footer
 */

.footer-1 {
    padding-top: 80px;
    padding-bottom: 30px;
}

.footer-1 .is-divider {
    height: 0;
}

p:has(iframe[src*="www.google.com/maps"]) {
    display: block;
    border-radius: 20px;
    overflow: hidden;
}

iframe[src*="www.google.com/maps"] {
    display: block;
    aspect-ratio: 2/1;
    background-color: #000;
}

.absolute-footer .container {
    padding-top: 15px;
    position: relative;
}

.absolute-footer .container:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    display: block;
    height: 1px;
    background-color: rgba(255, 255, 255, .1);
}

.col-inner:has(> .box) {
    border-radius: 20px;
    overflow: hidden;
}

.box .box-text {
    padding: 20px 20px 25px;
}

.box .box-text .button {
    border-radius: 20px;
}

.section-title {
    font-size: clamp(30px, 2.5vw, 100px);
    line-height: 1;
}

.section-title b {
    height: 0;
}

@media screen and (max-width: 849px) {
    .admissions--section * {
        text-align: center;
    }

    .footer-1 {
        text-align: center;
    }
}

.cky-notice-btn-wrapper .cky-btn.cky-btn-accept {
    background-color: var(--fs-color-primary) !important;
    border: 0;
    border-radius: 4px;
}

.cky-btn-revisit-wrapper {
    width: 0 !important;
    height: 0 !important;
    overflow: hidden !important;
}

.button.line:hover, 
.button.line:not(.is-outline) {
    color: #07C855 !important;
}

.footer-secondary {
    padding-top: 0;
	padding-bottom: 0;
}